Comment 21 for bug 1792544

Hi,

Andreas Hasenack wrote:
> I've seen the wget debian change, but just switching builddeps from pcre3-dev to pcre2-dev and rebuilding isn't enough. The package ends up not finding pcre and doesn't enable it:
> checking for PCRE... no
> checking pcre.h usability... no
> checking pcre.h presence... no
> checking for pcre.h... no
> ...
> Libs: -luuid -lidn2 -lnettle -lgnutls -lz -lpsl
>
> So while the package builds, it's not using pcre.
>
> I tried to switch apache, and while I could make it find pcre2-config and use it, pcre2 has different libraries than pcre3:
> pcre3-config --libs: -lpcre
> pcre2-config --libs: no such parameter
>
> In pcre2, we have --libs8, --libs-posix, --libs32 and --libs16, but no
> --libs. Is this a bug in pcre2-config?

Indeed, same for zsh:

checking for pcre-config... no
checking pcre.h usability... no
checking pcre.h presence... no
checking for pcre.h... no
checking for pcre_compile... no
checking for pcre_study... no
checking for pcre_exec... no
[...]
../../Test/V07pcre.ztst: starting.
../../Test/V07pcre.ztst: skipped (the zsh/pcre module is not available)

→ Back to Incomplete. I'll revert that commit from the recent 5.6.2-2
  upload.

  Regards, Axel
--
 ,''`. | Axel Beckert <email address hidden>, https://people.debian.org/~abe/
: :' : | Debian Developer, ftp.ch.debian.org Admin
`. `' | 4096R: 2517 B724 C5F6 CA99 5329 6E61 2FF9 CD59 6126 16B5
  `- | 1024D: F067 EA27 26B9 C3FC 1486 202E C09E 1D89 9593 0EDE